hc_add_series {highcharter} | R Documentation

## Adding and removing series from highchart objects

### Description

Adding and removing series from highchart objects

### Usage

    hc_add_series(hc, data = NULL, ...)

### Arguments

`hc` | A `highchart` `htmlwidget` object.
`data` | An R object like numeric, list, ts, xts, etc.
`...` | Arguments defined in http://api.highcharts.com/highcharts#chart.

### Examples

     highchart() %>%
       hc_add_series(data = abs(rnorm(5)), type = "column") %>%
       hc_add_series(data = purrr::map(0:4, function(x) list(x, x)), type = "scatter", color = "blue")

[Package highcharter version 0.5.0 Index]